<? $DEFINITIONS = Zend_Registry::get('defines'); ?>

<? foreach ($this->items as $k => $item): ?>
	<? $cities_str = ''; if (array_key_exists('cities', $item)) { $cities_str = $item['cities']; unset($item['cities']); } $status = $item['status']; unset($item['status']); ?>
	<? if (isset($this->escorts[$k])): ?>
		<? sort($item); $st_item = implode(',', $item); ?>
		<div class="alert">
			<? if (!$status): ?><div class="dis"></div><? endif; ?>
			<div class="lcol">
				<a href="<?= $this->getLink('profile', array('showname' => $this->escorts[$k]->showname, 'escort_id' => $this->escorts[$k]->id)) ?>" class="showname an" target="_blank"><?= $this->escorts[$k]->showname ?></a>

				<a href="<?= $this->getLink('profile', array('showname' => $this->escorts[$k]->showname, 'escort_id' => $this->escorts[$k]->id)) ?>" class="image" target="_blank">
					<img src="<?= $this->escorts[$k]->getMainPhoto()->getUrl('alert_ed') ?>" />
				</a>
			</div>
			<div class="rcol">
				<div class="title an"><?= __('alert_me_about') ?></div>

				<form action="" method="post" class="alertme-form" id="form-<?= $k ?>">
					<label for="alm-<?= ALERT_ME_NEW_COMMENT ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_NEW_COMMENT ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_NEW_COMMENT ?>-<?= $k ?>" 
							<? if ($st_item != '1,2,3,4' && in_array(ALERT_ME_NEW_COMMENT, $item)): ?>checked="checked"<? endif; ?>
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_COMMENT] ?></span>
					</label>

					<label for="alm-<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>-<?= $k ?>" 
							<? if ($st_item != '1,2,3,4' && in_array(ALERT_ME_MODIFICATION_ON_PROFILE, $item)): ?>checked="checked"<? endif; ?>
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_MODIFICATION_ON_PROFILE] ?></span>
					</label>

					<label for="alm-<?= ALERT_ME_NEW_PICTURES ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_NEW_PICTURES ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_NEW_PICTURES ?>-<?= $k ?>" 
							<? if ($st_item != '1,2,3,4' && in_array(ALERT_ME_NEW_PICTURES, $item)): ?>checked="checked"<? endif; ?>
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_PICTURES] ?></span>
					</label>

					<label for="alm-<?= ALERT_ME_NEW_REVIEW ?>-<?= $k ?>">
						<input
							type="checkbox"
							name="<?= ALERT_ME_NEW_REVIEW ?>_<?= $k ?>"
							id="alm-<?= ALERT_ME_NEW_REVIEW ?>-<?= $k ?>"
							<? if ($st_item != '1,2,3,4' && in_array(ALERT_ME_NEW_REVIEW, $item)): ?>checked="checked"<? endif; ?>
							/>
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_REVIEW] ?></span>
					</label>

					<label for="alm-<?= ALERT_ME_ANY_CHANGE ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_ANY_CHANGE ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_ANY_CHANGE ?>-<?= $k ?>" 
							class="alm-any" 
							<? if ($st_item == '1,2,3,4' || $st_item == '1,2,3,4,6' ): ?>checked="checked"<? endif; ?>
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_ANY_CHANGE] ?></span>
					</label>

					<label for="alm-<?= ALERT_ME_CITY ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_CITY ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_CITY ?>-<?= $k ?>" 
							<? if (in_array(ALERT_ME_CITY, $item)): ?>checked="checked"<? endif; ?> 
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_CITY] ?></span>
					</label>

					<label>
						<div class="inner long">
							<? $model = new Cubix_Geography_Countries() ?>
							<select onchange="Geography.loadCities($('city_id_<?= $k ?>'), this)" id="country" name="country_id" style="width: 228px">
								<option value="">- <?= strtolower(__('pv2_label_country')) ?> -&nbsp;&nbsp;</option>
								<? foreach ($model->ajaxGetAll(false) as $country): ?>
									<option value="<?= $country->id ?>"<?= $this->data['country_id'] == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?>&nbsp;&nbsp;</option>
								<? endforeach ?>
							</select>
						</div>
					</label>

					<label>
						<div class="inner long">
							<? $model = new Cubix_Geography_Cities() ?>
							<select id="city_id_<?= $k ?>" name="city_id" style="width: 160px; display: block; float: left;">
								<option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
								<? if ( $this->data['country_id'] ): ?>
									<? foreach ($model->ajaxGetAll(null, $this->data['country_id']) as $city): ?>
										<option value="<?= $city->id ?>"<?= $this->data['city_id'] == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>&nbsp;&nbsp;</option>
									<? endforeach ?>
								<? endif ?>
							</select>

							<a href="#" class="alertme-city-btn" rel="<?= $k ?>"><?= __('add') ?></a>

							<div class="clear"></div>
						</div>
					</label>

					<label id="city-items-<?= $k ?>">
						<? if (strlen($cities_str) > 0): ?>
							<? $m = new Model_Cities(); $cities = $m->getByIds($cities_str); ?>
							<? foreach ($cities as $c): ?>
								<div class="city-item-wr">
									<a id="<?= $c->id ?>" href="#" class="city-item" rel="<?= $k ?>"></a>
									<div class="city-title"><?= $c->title ?></div>
									<div class="clear"></div>
									<input type="hidden" class="cts" value="<?= $k . '-' . $c->id ?>" />
								</div>
							<? endforeach; ?>
						<? endif; ?>
					</label>
				</form>

				<div class="buttons">
					<a href="#" class="alertme-save-remove alertme-save" rel="<?= $k ?>"><?= __('alm_save_changes') ?></a>

					<? if ($status): ?>
						<a href="#" class="alertme-save-remove alertme-set-inactive" rel="<?= $k ?>"><?= __('alm_set_inactive') ?></a>
					<? else: ?>
						<a href="#" class="alertme-save-remove alertme-set-active" rel="<?= $k ?>"><?= __('alm_set_active') ?></a>
					<? endif; ?>
					<a href="#" class="alertme-save-remove alertme-remove" rel="<?= $k ?>"><?= __('alm_remove') ?></a>

					<div class="clear"></div>
				</div>
			</div>
			<div class="clear"></div>
		</div>
	<? endif; ?>
<? endforeach; ?>